Foreman - Feature #3809

Add rubocop to foreman
12/04/2013 01:26 PM - David Davis

Status:
Priority:
Assignee:
Category:
Target version:
Difficulty:
Triaged:
Bugzilla link:

Pull request:

Closed
Normal
David Davis
Tests

1.7.0

https://github.com/theforeman/foreman/p
ull/1666,
https://github.com/theforeman/foreman/p
ull/3521,
https://github.com/theforeman/foreman/p
ull/3625,
https://github.com/theforeman/foreman/p
ull/3634,
https://github.com/theforeman/foreman/p
ull/3643,
https://github.com/theforeman/foreman/p
ull/3834,
https://github.com/theforeman/foreman/p
ull/6029

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Add rubocop to foreman as a lint checker for the Ruby code. A couple notes:

- To generate the config, use --auto-gen-config which will disable all failing rules and create a TODO list of things to address

- Use https://github.com/eitoball/rubocop-checkstyle formatter to output XML for Jenkins

Check out our rubocop rake task in Katello for running rubocop via Jenkins:

https://github.com/Katello/katello/blob/628a01ad914e7c5d63c8d325e4798a8c19755c¢ff/lib/katello/tasks/rubocop.rake

Related issues:

Related to Katello - Bug #7022: Need to update rubocop to 0.24.1

Related to Smart Proxy - Feature #7181: Add rubocop to smart-proxy code

Related to Website - Feature #7179: Document how to run rubocop

Related to Katello - Bug #7196: Tie into the Foreman rubocop rake task

Related to Foreman - Bug #9231: Exception message missing when ENC fails to ...

Related to Foreman - Refactor #22058: Rubocop Tracker Issue

Closed 08/11/2014
Closed 08/20/2014
Closed

Rejected

Closed 02/05/2015
New

Associated revisions

Revision 7ebd35e7 - 08/29/2014 12:27 PM - David Davis
Fixes #3809 - Add rubocop to check Ruby code

Revision 35e26c¢ce8 - 09/03/2014 09:00 AM - Imre Farkas
refs #3809 - Fix "ruby_20" is not a valid platform"

:ruby_20 is unknown platform for older bundler versions

Revision 96144a47 - 10/06/2014 01:57 PM - Daniel Lobato Garcia
Refs #3809 - Remove rubocop TODOs

Removed the following TODOs so that cops for these will run from now on:
https://github.com/eitoball/rubocop-checkstyle_formatter
https://github.com/Katello/katello/blob/628a01ad914e7c5d63c8d325e4798a8c19755cff/lib/katello/tasks/rubocop.rake

Lint/AmbiguousOperator, DefEndAlignment, DeprecatedClassMethods
EnsureReturn, RequireParentheses, Void, BlockAlignment, EndAlignment,
UselessAccessModifier,

Style/IndentArray, IndentHash, Tab, UnlessElse, UnneededPercentQ, UnneededPercentX
RedundantReturn

Rails/Validation

Revision 4f7a4d0b - 10/06/2014 02:37 PM - David Davis
Refs #3809 - Fix a few rubocop TODOs

Revision 5f029ed6 - 10/07/2014 03:40 AM - Daniel Lobato Garcia

Refs #3809 - Use parentheses in method definitions

Revision bfcc8168 - 11/05/2014 03:52 AM - Daniel Lobato Garcia

Refs #3809 - fix shadowing outer local variables

Revision 2312cccf - 11/19/2014 06:03 AM - Daniel Lobato Garcia

Refs #3809 - Remove useless assignments

Revision 3efe1dab - 01/15/2015 08:14 AM - Daniel Lobato Garcia
Refs #3809 - Enable cop BarePercentLiterals

Revision 5c02cfe5 - 01/30/2015 03:34 AM - Daniel Lobato Garcia

Refs #3809 - Enable cop StringConversionininterpolation

Revision abd8f1d1 - 02/18/2015 03:54 AM - Daniel Lobato Garcia

Refs #3809 - Remove cops for empty lines

Revision afe02d30 - 02/18/2015 03:54 AM - Daniel Lobato Garcia

Refs #3809 - Remove cop IndentationConsistency

Revision 9271a4bf - 02/18/2015 03:54 AM - Daniel Lobato Garcia

Refs #3809 - Remove various small cops

Revision ¢d032085 - 02/18/2015 03:54 AM - Daniel Lobato Garcia

Refs #3809 - Remove classcheck cop

Revision 6ace062d - 02/18/2015 03:54 AM - Daniel Lobato Garcia
Refs #3809 - Remove cop emptyliteral

Revision 8a11eff7 - 02/18/2015 04:19 AM - Dominic Cleal

refs #3809 - exclude auto-generated schema.rb from rubocop checks

Revision 2d8b4fef - 04/28/2015 07:48 AM - Daniel Lobato Garcia

Refs #3809 - Remove semicolon cop

Revision b2b7a13b - 05/07/2015 09:32 AM - Daniel Lobato Garcia

Refs #3809 - Remove nested ternary and nil checking

Revision 7deaced2 - 07/06/2015 06:59 AM - Daniel Lobato Garcia
Refs #3809 - Style/blocks cop enabled

Revision 17622a29 - 07/24/2015 10:24 AM - Daniel Lobato Garcia
Refs #3809 - Enable cop Style/AlignArray

Revision 111b0459 - 07/24/2015 10:28 AM - Daniel Lobato Garcia
Refs #3809 - Enable cop Style/IflUnlessModifier

Revision ¢1c9649b - 07/24/2015 10:32 AM - Daniel Lobato Garcia
Refs #3809 - Enable cop Style/MultilineTernaryOperator

Revision bb3572ff - 09/02/2015 05:58 AM - Daniel Lobato Garcia
Refs #3809 - Stabby lambda syntax for oneliners

| started by spotting log.rb which didn't have a lambda wrapping its

default scope, as needed by Rails 4. Since the style guide and most

Rails 4 documents used the stabby lambda, | turned on the cop so that we
use it everywhere there's a oneliner lambda.

Revision 9a9ec5b1 - 09/02/2015 06:01 AM - Daniel Lobato Garcia
Refs #3809 - Enable Rails delegate cop

Revision f4459c11 - 05/12/2016 09:56 AM - David Davis

Refs #3809 - Turning on some rubocop cops

Revision 2ea02ed8 - 07/08/2016 11:59 AM - David Davis

Refs #3809 - Turning on some Lint cops

Revision 287082a5 - 07/12/2016 04:41 AM - David Davis
Refs #3809 - Turning on the AndOr cop

Revision e263719a - 07/25/2016 05:18 AM - David Davis
Refs #3809 - Using defaults for AndOr cop

Revision 379b56f2 - 09/14/2016 03:33 AM - David Davis
Refs #3809 - Turn on MultilineTernaryOperator rubocop

Revision a8a35f5e - 09/03/2018 03:48 PM - Michael Moll

Refs #3809 - regenerate .rubocop_todo.yml

History

#1 - 12/04/2013 01:38 PM - Dominic Cleal

- Category set to Tests

#2 - 08/07/2014 04:44 PM - David Davis

- Assignee set to David Davis

#3 - 08/07/2014 04:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version setto 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1666 added
- Pull request deleted ()

#4 - 08/11/2014 10:47 AM - David Davis
- Related to Bug #7022: Need to update rubocop to 0.24.1 added

#5 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#6 - 08/20/2014 11:27 AM - David Davis
- Related to Feature #7181: Add rubocop to smart-proxy code added

#7 - 08/20/2014 11:29 AM - David Davis
- Related to Feature #7179: Document how to run rubocop added

#8 - 08/21/2014 08:32 AM - David Davis
- Related to Bug #7196: Tie into the Foreman rubocop rake task added

#9 - 08/29/2014 11:07 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#10 - 08/29/2014 01:01 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7ebd35e77de73085bc71b28008410f4908818117.

#11 - 02/05/2015 05:12 AM - Dominic Cleal
- Related to Bug #9231: Exception message missing when ENC fails to render added

#12 - 05/12/2016 09:06 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3521 added

#13 - 07/06/2016 05:24 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3625 added

#14 - 07/08/2016 12:48 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3634 added

#15 - 07/12/2016 11:18 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3643 added

#16 - 09/12/2016 01:41 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3834 added

#17 - 12/21/2017 08:25 PM - Anonymous
- Related to Refactor #22058: Rubocop Tracker Issue added

#18 - 09/03/2018 03:23 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6029 added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7ebd35e77de73085bc71b280084f0f4908818117
http://www.tcpdf.org

